Bug 886734 - Obsolete subpackage system-config-printer-kde in the F18 repository
Summary: Obsolete subpackage system-config-printer-kde in the F18 repository
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeadmin
Version: 18
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks: F18-accepted, F18FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-12-13 02:31 UTC by Kevin Kofler
Modified: 2012-12-20 05:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 05:33:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2012-12-13 02:31:27 UTC
Description of problem:
I just realized that we're about to ship F18 with a subpackage, system-config-printer-kde, in its GA repository, which is Obsoleted by another package in F18 (namely kde-print-manager).

Version-Release number of selected component (if applicable):
kdeadmin-4.9.4-1.fc18 (and all earlier builds)

How reproducible:
Always

Steps to Reproduce:
1. Try to install system-config-printer-kde.
  
Actual results:
The package is Obsoleted at RPM level by kde-print-manager.

Expected results:
Obsolete packages have no business being in the repo.

Additional info:
kdeadmin-4.9.4-2.fc18 disables the build of this subpackage and contains no other changes. I'm hereby nominating this build for NTH status.

Comment 1 Kevin Kofler 2012-12-13 02:32:10 UTC
Nominating for NTH, see above.

Comment 2 Fedora Update System 2012-12-13 02:43:29 UTC
kdeadmin-4.9.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kdeadmin-4.9.4-2.fc18

Comment 3 Fedora Update System 2012-12-14 06:46:48 UTC
Package kdeadmin-4.9.4-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdeadmin-4.9.4-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20333/kdeadmin-4.9.4-2.fc18
then log in and leave karma (feedback).

Comment 4 Adam Williamson 2012-12-17 19:28:43 UTC
Discussed at 2012-12-17 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-17/f18final-blocker-review-5.2012-12-17-16.40.log.txt . Accepted as NTH as it would be nice to clean this up for release.

Comment 5 Kevin Kofler 2012-12-18 01:34:12 UTC
Now can one of the other (co)maintainers of kdeadmin please test my update and karma it up? Thanks in advance!

Comment 6 Fedora Update System 2012-12-20 05:33:43 UTC
kdeadmin-4.9.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.